package com.flyfish.framework.r2dbc.query.impl;

import com.flyfish.framework.query.NamedQueryChain;
import com.flyfish.framework.query.Queries;
import com.flyfish.framework.query.QueryChain;
import com.flyfish.framework.query.QueryCondition;

import java.util.List;
import java.util.function.Supplier;

/**
 * mongodb实现的基于名称的查询链
 *
 * @author wangyu
 */
public class R2dbcNamedQueryChain extends R2dbcQueryDefinition implements NamedQueryChain {

    /**
     * 以且连接下一个字段
     *
     * @param column 列
     * @return 查询条件
     */
    @Override
    public QueryCondition<NamedQueryChain> and(String column) {
        return null;
    }

    /**
     * 直接拼接提供者，此处懒加载，最终build才会执行
     *
     * @param supplier 提供者
     * @return 结果
     */
    @Override
    public <V extends QueryChain<V, ?>> NamedQueryChain and(Supplier<QueryChain<V, ?>> supplier) {
        return null;
    }

    /**
     * 条件列表
     *
     * @param chain 多个条件们
     * @return 结果
     */
    @Override
    public NamedQueryChain and(NamedQueryChain chain) {
        return null;
    }

    /**
     * 多个嵌套子条件列表
     *
     * @param chains     多条链
     * @param combinator 各个链条之间的连接方式
     * @return 结果
     */
    @Override
    public NamedQueryChain and(List<NamedQueryChain> chains, Queries.Combinator combinator) {
        return null;
    }

    /**
     * 以或连接下一个字段
     *
     * @param column 列
     * @return 查询条件
     */
    @Override
    public QueryCondition<NamedQueryChain> or(String column) {
        return null;
    }

    /**
     * 以或连接条件列表
     *
     * @param chain 多个条件们
     * @return 结果
     */
    @Override
    public NamedQueryChain or(NamedQueryChain chain) {
        return null;
    }

    /**
     * 以或连接嵌套多个子条件列表
     *
     * @param chains     多条链
     * @param combinator 各个链条之间的连接方式
     * @return 结果
     */
    @Override
    public NamedQueryChain or(List<NamedQueryChain> chains, Queries.Combinator combinator) {
        return null;
    }

    /**
     * 直接拼接提供者，此处懒加载，最终build才会执行
     *
     * @param supplier 提供者
     * @return 结果
     */
    @Override
    public <V extends QueryChain<V, ?>> NamedQueryChain or(Supplier<QueryChain<V, ?>> supplier) {
        return null;
    }
}
